searchData={"items":[{"type":"module","title":"FastIntegerCompression","doc":"This is an attempt at porting @lemire's FastIntegerCompression.js library to Elixir.\nThe use case for this is to be able to compress things on the server side, and then push them to the frontend,\nwhere they can be properly decompressed, and vice versa.\n\nThe Fast Integer Compression algorithm uses VByte compression in order to compress a list of small integers into\nan array that uses far less bytes than the original.\n\nThe fastest path is using the submodules, `FastIntegerCompression.Signed` and `FastIntegerCompression.Unsigned`.\nThese are optimized to compress either signed or unsigned integers. However, they assume that the user has validated\nthat the integers are all correctly signed - i.e. if using `FastIntegerCompression.Signed`, you may have both positive\nand negative integers, however, using `FastIntegerCompression.Unsigned`, you must have only positive integers.","ref":"FastIntegerCompression.html"},{"type":"function","title":"FastIntegerCompression.expected_number_of_integers/1","doc":"","ref":"FastIntegerCompression.html#expected_number_of_integers/1"},{"type":"extras","title":"Changelog","doc":"# Changelog\nAll notable changes to this project will be documented in this file.\n\nThe format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),\nand this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).\n\n## [Unreleased]","ref":"changelog.html"},{"type":"extras","title":"Added - Changelog","doc":"- Added new features","ref":"changelog.html#added"},{"type":"extras","title":"Changed - Changelog","doc":"- Changed an existing functionality","ref":"changelog.html#changed"},{"type":"extras","title":"Deprecated - Changelog","doc":"- Deprecated a feature so that it can be removed in a later release","ref":"changelog.html#deprecated"},{"type":"extras","title":"Removed - Changelog","doc":"- Removed a feature","ref":"changelog.html#removed"},{"type":"extras","title":"Fixed - Changelog","doc":"- Fixed a bugfix","ref":"changelog.html#fixed"},{"type":"extras","title":"Security - Changelog","doc":"- Patched a security vulnerability\n\n[Unreleased]: https://github.com/probably-not/reginald/compare/v0.1.0...HEAD\n[0.1.0]: https://github.com/probably-not/reginald/releases/tag/v0.1.0","ref":"changelog.html#security"},{"type":"extras","title":"README","doc":"# FastIntegerCompression\n\nThis is an attempt at porting @lemire's FastIntegerCompression.js library to Elixir. The use case for this is to be able to compress things on the server side, and then push them to the frontend, where they can be properly decompressed, and vice versa.","ref":"readme.html"},{"type":"extras","title":"Installation - README","doc":"If [available in Hex](https://hex.pm/docs/publish), the package can be installed\nby adding `fast_integer_compression` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:fast_integer_compression, \"~> 0.0.0\"}\n  ]\nend\n```\n\nDocumentation can be found at  .","ref":"readme.html#installation"},{"type":"extras","title":"Contributing - README","doc":"Contributions to this library are very much welcome! Before undertaking any substantial work, please open an issue on GitHub to discuss.","ref":"readme.html#contributing"},{"type":"extras","title":"License - README","doc":"@lemire's original project uses the Apache 2.0 License, which can be found here: https://github.com/lemire/FastIntegerCompression.js/blob/master/LICENSE. All attribution for building this should go to him, I'm simply porting this to Elixir in order to be able to use it on both ends of a project.\n\nThis library will also use Apache 2.0 for the sake of keeping the same license.","ref":"readme.html#license"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}